summaryrefslogtreecommitdiffstats
path: root/tests/shrink-rpath.sh
diff options
context:
space:
mode:
authorVincent Danjean <Vincent.Danjean@ens-lyon.org>2012-06-21 09:43:57 (GMT)
committerEelco Dolstra <eelco.dolstra@logicblox.com>2012-07-10 22:16:24 (GMT)
commit3226dea3610c8d3cb81b574e1aa478948ddc6c91 (patch)
tree589be58acd0b07fdee94091f2042f9884bfc8cef /tests/shrink-rpath.sh
parentd0dac944aeb6385da874d07da2c9897f2f9bd7d6 (diff)
downloadpatchelf-3226dea3610c8d3cb81b574e1aa478948ddc6c91.zip
patchelf-3226dea3610c8d3cb81b574e1aa478948ddc6c91.tar.gz
patchelf-3226dea3610c8d3cb81b574e1aa478948ddc6c91.tar.bz2
Allow parallel execution of tests
Each test use its own subdirectory in scratch/
Diffstat (limited to 'tests/shrink-rpath.sh')
-rwxr-xr-xtests/shrink-rpath.sh15
1 files changed, 8 insertions, 7 deletions
diff --git a/tests/shrink-rpath.sh b/tests/shrink-rpath.sh
index e0c82c1..3adc846 100755
--- a/tests/shrink-rpath.sh
+++ b/tests/shrink-rpath.sh
@@ -1,4 +1,5 @@
#! /bin/sh -e
+SCRATCH=scratch/$(basename $0 .sh)
rpath=$(../src/patchelf --print-rpath ./libbar.so)
echo "RPATH before: $rpath"
@@ -7,22 +8,22 @@ if ! echo "$rpath" | grep -q /no-such-path; then
exit 1
fi
-rm -rf scratch
-mkdir -p scratch
-cp libbar.so scratch/
-../src/patchelf --shrink-rpath scratch/libbar.so
+rm -rf ${SCRATCH}
+mkdir -p ${SCRATCH}
+cp libbar.so ${SCRATCH}/
+../src/patchelf --shrink-rpath ${SCRATCH}/libbar.so
-rpath=$(../src/patchelf --print-rpath scratch/libbar.so)
+rpath=$(../src/patchelf --print-rpath ${SCRATCH}/libbar.so)
echo "RPATH after: $rpath"
if echo "$rpath" | grep -q /no-such-path; then
echo "RPATH not shrunk"
exit 1
fi
-cp libfoo.so scratch/
+cp libfoo.so ${SCRATCH}/
exitCode=0
-cd scratch && LD_LIBRARY_PATH=. ../main || exitCode=$?
+cd ${SCRATCH} && LD_LIBRARY_PATH=. ../../main || exitCode=$?
if test "$exitCode" != 46; then
echo "bad exit code!"